//#define NU32_STANDALONE  // uncomment if program is standalone, not bootloaded
#include "NU32.h"          // plib.h, config bits, constants, funcs for startup and UART
#include "LCD.h"

int main() {
  char msg[20];
  int i=1;

  NU32_Startup(); // cache on, min flash wait, interrupts on, LED/button init, UART init
  LCDSetup();
  while (1) {
    NU32_WriteUART1("String to send to LCD: ");
    NU32_ReadUART1(msg,16);            // get msg string from the user
    LCDClear(0);                       // clear LCD screen
    LCDWriteString(msg,1,1);           // write msg at row 1 col 1
    sprintf(msg,"Command %3d",i++);    // increment i after making string
    LCDWriteString(msg,2,3);           // write new msg at row 2 col 3
  }
}
